if (file_exists ("/etc")) ...                                                  /* "ERR_NOT_A_FILE" */

if (directory_exists ("/etc")) ...                                             /* "ERR_NOT_A_DIRECTORY" */

if (link_exists ("/etc", FS_DIR)) ...                                          /* 1 */

if (link_exists ("/etc", FS_FILE)) ...                                         /* "ERR_NOT_A_FILE_LINK" */